javax.swing.plaf

## Class BorderUIResource.LineBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.LineBorder
    - - javax.swing.plaf.BorderUIResource.LineBorderUIResource

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.LineBorderUIResource
    extends LineBorder
    implements UIResource

### Field Summary

### Fields inherited from class javax.swing.border.LineBorder

`lineColor, roundedCorners, thickness`

### Constructor Summary

Constructors
Constructor and Description
`LineBorderUIResource(Color color)`
`LineBorderUIResource(Color color, int thickness)`

### Method Summary

### Methods inherited from class javax.swing.border.LineBorder

`createBlackLineBorder, createGrayLineBorder, getBorderInsets, getLineColor, getRoundedCorners, getThickness, isBorderOpaque, paintBorder`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineBorderUIResource

    public LineBorderUIResource(Color color)

#### LineBorderUIResource

    @ConstructorProperties(value={"lineColor","thickness"})
    public LineBorderUIResource(Color color,
                                                                                        int thickness)